-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Servidor: localhost:3306
-- Tiempo de generación: 01-02-2025 a las 11:02:38
-- Versión del servidor: 10.6.20-MariaDB-cll-lve
-- Versión de PHP: 8.3.15

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de datos: `emvtowakrd_pagaturifa`
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `compras_rifa`
--

CREATE TABLE `compras_rifa` (
  `id` int(11) NOT NULL,
  `id_rifa` int(11) NOT NULL,
  `numeros_comprados` varchar(255) NOT NULL,
  `nombre` varchar(255) NOT NULL,
  `apellido` varchar(255) NOT NULL,
  `cedula` varchar(20) NOT NULL,
  `telefono` varchar(20) NOT NULL,
  `correo` varchar(255) NOT NULL,
  `estado` enum('espera','confirmado') NOT NULL,
  `fecha_compra` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;

--
-- Volcado de datos para la tabla `compras_rifa`
--

INSERT INTO `compras_rifa` (`id`, `id_rifa`, `numeros_comprados`, `nombre`, `apellido`, `cedula`, `telefono`, `correo`, `estado`, `fecha_compra`) VALUES
(10, 5, '05, 12', 'LUIS', 'RONDON', '06471', 'Marcanto88@gmail.com', 'ghzdh', 'espera', '2025-02-01 15:08:04'),
(11, 5, '33', 'LUIS', 'RONDON', '047273', 'marcanto88@gmail.com', '', 'espera', '2025-02-01 15:37:47'),
(12, 5, '13, 24', 'Luis Miguel', 'Lobo', '26553603', '7875314283', 'lmlobo08@gmail.com', 'espera', '2025-02-01 15:50:29');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `rifa`
--

CREATE TABLE `rifa` (
  `id` int(11) NOT NULL,
  `numero` varchar(2) NOT NULL,
  `nombre` varchar(100) NOT NULL,
  `apellido` varchar(100) NOT NULL,
  `cedula` varchar(20) NOT NULL,
  `telefono` varchar(20) NOT NULL,
  `correo` varchar(100) NOT NULL,
  `estado` enum('disponible','en_espera','confirmado') DEFAULT 'disponible',
  `fecha_seleccion` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `rifas_activas`
--

CREATE TABLE `rifas_activas` (
  `id` int(11) NOT NULL,
  `nombre_rifa` varchar(255) NOT NULL,
  `premio` varchar(255) NOT NULL,
  `cantidad_numeros` int(11) NOT NULL,
  `precio_unitario` decimal(10,2) NOT NULL,
  `fecha_sorteo` date NOT NULL,
  `imagen` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;

--
-- Volcado de datos para la tabla `rifas_activas`
--

INSERT INTO `rifas_activas` (`id`, `nombre_rifa`, `premio`, `cantidad_numeros`, `precio_unitario`, `fecha_sorteo`, `imagen`) VALUES
(6, 'Rifa 1', 'Una moto; Una torta; un lapicero.', 40, 5.00, '2025-02-18', '../../assets/img/rifas/wallhaven-4392e9.jpg');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `usuarios`
--

CREATE TABLE `usuarios` (
  `id` int(11) NOT NULL,
  `usuario` varchar(20) NOT NULL,
  `contrasena` varchar(255) NOT NULL,
  `rol` varchar(10) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_spanish2_ci;

--
-- Volcado de datos para la tabla `usuarios`
--

INSERT INTO `usuarios` (`id`, `usuario`, `contrasena`, `rol`) VALUES
(1, 'admin', 'admin', 'admin');

--
-- Índices para tablas volcadas
--

--
-- Indices de la tabla `compras_rifa`
--
ALTER TABLE `compras_rifa`
  ADD PRIMARY KEY (`id`);

--
-- Indices de la tabla `rifa`
--
ALTER TABLE `rifa`
  ADD PRIMARY KEY (`id`);

--
-- Indices de la tabla `rifas_activas`
--
ALTER TABLE `rifas_activas`
  ADD PRIMARY KEY (`id`);

--
-- Indices de la tabla `usuarios`
--
ALTER TABLE `usuarios`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT de las tablas volcadas
--

--
-- AUTO_INCREMENT de la tabla `compras_rifa`
--
ALTER TABLE `compras_rifa`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=14;

--
-- AUTO_INCREMENT de la tabla `rifa`
--
ALTER TABLE `rifa`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `rifas_activas`
--
ALTER TABLE `rifas_activas`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT de la tabla `usuarios`
--
ALTER TABLE `usuarios`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
