<?php
session_start();

// Verificar si el usuario est autenticado y tiene privilegios
if (!isset($_SESSION['usuario_id']) || $_SESSION['usuario_rol'] !== 'admin') {
    header("Location: ../login.php"); // Redirigir al login si no tiene privilegios
    exit();
}?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="../../assets/css/estilo_admin_general.css">
    <link rel="stylesheet" href="../..assets/css/estilo_admin_menu">
    <!--FUENTES-->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Oswald&family=Quicksand:wght@300;500;700&family=Roboto:wght@300;400&display=swap" rel="stylesheet">
</head>
<body>
    <header>
        <nav>
            <ul>
                <li><a href="admin_activas.php">Rifas Activas</a></li>
                <li><a href="admin_finalizadas.php">Rifas Finalizadas</a></li>
                <li><a href="#">Pagos Por Procesar</a></li>
                <li><a href="admin_tabla_clientes.php">Clientes</a></li>
                <li><a href="../../index.php" class="cerrar-sesion">Cerrar Sesión</a></li>
            </ul>
        </nav>
    </header>
    <main>
        <div class="mensaje">
            <h1>Bienvenido al Panel De Administración</h1>
            <p>Gestiona tus rifas y pagos</p>
        </div>
        <div class="responsive-menu">
            <ul>
                <li><a href="admin_activas.php">Rifas Activas</a></li>
                <li><a href="admin_finalizadas.php">Rifas Finalizadas</a></li>
                <li><a href="#">Pagos Por Procesar</a></li>
                <li><a href="admin_tabla_clientes.php">Clientes</a></li>
                <li><a href="../../index.html" class="cerrar-sesion">Cerrar Sesión</a></li>
            </ul>
        </div>
        
    </main>
    <script src="https://kit.fontawesome.com/f77dcaa3f4.js" crossorigin="anonymous"></script>
</body>
</html>